petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetFunctionDomainError

Set the function testing if the current state vector is valid

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetFunctionDomainError(TS ts, PetscErrorCode (*func)(TS,PetscReal,Vec,PetscBool*))

### Input Parameters

ts - the TS context func - function called within TSFunctionDomainError

### Keywords

TS, state, domain

### See Also

TSAdaptCheckStage(), TSFunctionDomainError()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex42.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages